Subject: [KEYPROV] Keyprov Conference Call Meeting Minutes, 28th April 2009

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 29 Apr 2009 09:36:11 +0300

Participants:

 - Ming Pei
 - Andrea Doherty
 - Salah Machani
 - Hannes Tschofenig
 - Phillip Hallam-Baker
 
Discussion

 Terminology changes to the PSKC being incorporated by Hannes. 
 Pasi provided further feedback for the terminology changes distributed
by Philip. 
 
 Tentatively we will go for the following wording proposal: 
 
   s/KeyAlgorithm/KeyType
   s/KeyType/KeyObject
   
 PSKC open issues so far:
 
   * Figure 1 needs to be updated based on the drawing from the IETF
meeting.
   * Some examples require update, namely those with cryptographically
computed values. 
   * Review comments sent to the mailing list need to get reflected.
   * Ming to provide info about MAC key definition and schema in PSKC
   * Ming to provide info about encryption key in PSKC 
   * Ming believe that cryptographic module needs an id. Andrea believes
that we don't need one as agreed during the meeting.
     Ming wants to provide some text. 
   * Ming to provide text about derived key using the recently published
document by Magnus. 	 
   
 DSKPP
 
  Ming summarized his recent comment about DSKPP sent to the mailing
list. Andrea was not too happy about re-opening old issues. Phillip said
that we should introduce a feature freeze in 2 weeks. Andrea suggested
that new features should be deferred to a new DSKPP version or to an
extension.  
   
  Andrea will respond to Ming on the list to postpone the stateless /
stateful issue. 
  Andrea will look at the other raised issues and will provide a
response.